Search Specific Inbound Routes
Search specific inbound routes from the Inbound Route list.
Request URL
GET {base_url}/{api_path}/inbound_route/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| search_value | No | String | Search keyword. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total of the searched inbound routes. |
| last_pos | Integer | The last position in the inbound route list. |
| data | Array <Inroute_Info> | The basic information of the inbound route. |
Inroute_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the inbound route. |
| pos | Integer | The current position of the inbound route in the list. |
| name | String | The name of the inbound route. |
| default_destination | String | The default destination of the inbound route.
|
| default_desination_value | String | The specific value of the default destination. |
| current_destination | String | The current destination of the inbound route.
|
| current_desination_value | String | The specific value of the current destination. |
| time_condition | String | Time-based routing mode.
|
| business_hours_destination | String | The destination for inbound calls during business hours.
|
| business_hours_destination_value | String | The specific value of business hours destination. |
| outside_business_hours_destination | String | The destination for inbound calls during outside business hours.
|
| outside_business_hours_destination_value | String | The specific value of outside business hours destination. |
| holidays_hours_destination | String | The destination for inbound calls during holidays.
|
| holidays_hours_destination_value | String | The specific value of holidays destination. |
| time_condition_value | Array <Time_Condition_Info> | The information of time condition. Note:This parameter is displayed only when time_condition is set to route_scope or custom. |
Time_Condition_Info
| Parameter | Type | Description |
|---|---|---|
| days_of_week | String | Days of week.
|
| times | String | Period of time. |
Examples
Request example
GET /openapi/v1.0/inbound_route/search?page=1&page_size=20&sort_by=pos&order_by=asc&search_value=local_support&access_token=wgUqVP0SrMGxssA3wlUAmwqWuZjPdNWs HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 1,
"last_pos": 5,
"data": [
{
"id": 53,
"pos": 5,
"name": "local_support",
"default_destination": "disabled",
"current_destination": "ring_group",
"time_condition": "global",
"current_desination_value": "6300-Support",
"business_hours_destination": "ring_group",
"business_hours_destination_value": "Support",
"outside_business_hours_destination": "ivr",
"outside_business_hours_destination_value": "Self-Service",
"holidays_hours_destination": "ivr",
"holidays_hours_destination_value": "Holiday"
}
]
}